EDIT - feature request #3312

Add time period scope to DescriptionElementBase
02/19/2013 04:14 PM - Patricia Kelbert

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 3.3

Severity: normal

Description

Distribution data need to have the possibility to be linked with time period.
It's missing in the CDM.
It's needed for RedList and for proiBiosphere

see also #3746, #3747

Related issues:
Related to EDIT - feature request #3746: Implement time period scope for desc... Closed

History

#1 - 02/19/2013 04:23 PM - Andreas Miiller
- Category changed from cdmlib to cdm
- Target version deleted (cdmlib - Next Major Release)

- Priority changed from Priority08 to Priority14

Can you give more details? Examples? There are different types of time periods: seasonal or startEndYear (e.g. for fossils, we do have a requirement
for this already), etc.

#2 - 02/20/2013 01:25 PM - Patricia Kelbert
Here what Quentin said in his email

One important feature is that distributions are not dated (except for the publication date of the linked reference). The only way we can record that a
species was present on a particular date is by recording an observation. However, this is not really the most suitable data type for information taken
from floras. Observations are also not suitable for absence data, but we will need to record when it was absent."

For example, you extract data from a flora (book). There can be information concerning the distribution at different time periods- for example: "until
1900 : unknown"; "from 1900 to 1920: present"; "from 1920 to 1960: absent"

| think startEndYear is the more appropriate.
#3 - 02/20/2013 02:04 PM - Andreas Miiller
Replying to p.kelbert:

Here what Quentin said in his email

One important feature is that distributions are not dated (except for the publication date of the linked reference). The only way we can record that
a species was present on a particular date is by recording an observation. However, this is not really the most suitable data type for information
taken from floras. Observations are also not suitable for absence data, but we will need to record when it was absent."

For example, you extract data from a flora (book). There can be information concerning the distribution at different time periods- for example:
"until 1900 : unknown"; "from 1900 to 1920: present"; "from 1920 to 1960: absent"

| think startEndYear is the more appropriate.
So this is more a temporal scope on the status rather then a scope on the area.
Generally we will need more generic scopes on DescriptionElementBase. At least a spatial and a temporal one.

#4 - 02/20/2013 02:34 PM - Alexander Oppermann

Replying to a.mueller:
Replying to p.kelbert:

Here what Quentin said in his email

One important feature is that distributions are not dated (except for the publication date of the linked reference). The only way we can
record that a species was present on a particular date is by recording an observation. However, this is not really the most suitable data type
for information taken from floras. Observations are also not suitable for absence data, but we will need to record when it was absent."

For example, you extract data from a flora (book). There can be information concerning the distribution at different time periods- for
example: "until 1900 : unknown"; "from 1900 to 1920: present"; "from 1920 to 1960: absent"

| think startEndYear is the more appropriate.

So this is more a temporal scope on the status rather then a scope on the area.

Generally we will need more generic scopes on DescriptionElementBase. At least a spatial and a temporal one.

This is actually what we mean and need. The given example is not the limit, but rather a use case of many other. So it doesn't matter if the scope is
bound to a status or an area.

#5 - 07/04/2013 01:11 AM - Andreas Miiller
- Status changed from New to In Progress

- Priority changed from Priority14 to Highest

#6 - 07/14/2013 06:18 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- Subject changed from Distribution needs time period to Add time period scope to DescriptionElementBase

changed title as the change needs to be more generic and will be applied to all description elements.

r18376

#7 - 09/27/2013 04:07 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Resolution set to fixed

- % Done set to 100

#8 - 10/14/2016 04:21 PM - Andreas Kohlbecker
- Tags deleted (distribution, time)

- Description updated

#9 - 01/18/2018 02:17 PM - Andreas Miiller

- Related to feature request #3746: Implement time period scope for description elements in TaxEditor added

#10 - 02/26/2019 11:50 AM - Andreas Kohlbecker

- Private changed from Yes to No
